<?php

declare(strict_types=1);

namespace App\Controller\TblRolUsuario;

use App\Service\TblRolUsuarioService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblRolUsuarioService(): TblRolUsuarioService
    {
        return $this->container->get('TblRolUsuario_service');
    }
}
